////////// LED color CODE clock
////
////    FOR PCB BOARD  pin outs changed
////
//// connect 3ea 10k pots to A0,A1,A2
////
//// pots  5v (one end)  ground (other end)
////
////  center tap to A0, A1, A2   (3 pots)
//
//// softpwm dosen't turn off all the way
//// leds stay dim and spoil the true colors
//// used SoftPWMEnd(pin) to turn OFF
//

#include <SoftPWM.h>


byte test = 0; //mix colors with pots for values
int potValr  = 0; 
byte rrr;
int potValg  = 0;
byte ggg;
int potValb  = 0;
byte bbb;
float scale = .249; //// = 255/1023

//// adj this for colorTest speed
int ttime = 2000; //2sec
//////////////////////////////////////

void setup() {
  SoftPWMBegin();
  Serial.begin(9600);

///// next test for single pin and color
// SoftPWMSet(3, 255);
// delay(60000);
////////////////////////////////////////
}

//select only one test at a time

void loop() { 
potTest();

//colorTest();

}//// end end

//#############################################
/////////////////// test function  /////
//// use this to adj pots for pwm size
//// pwm 0-255  0=bright    255=off

void potTest(void) {
  potValr = analogRead(1); //0-1023
  rrr=potValr * scale;
  if (rrr>=250) { SoftPWMEnd(3); 
  } else { SoftPWMSet(3, rrr); } //RRR
  
  potValg = analogRead(0); //0-1023
  ggg=potValg * scale;
  if (ggg>=250) { SoftPWMEnd(2); 
  } else { SoftPWMSet(2, ggg); } //GGG

  potValb = analogRead(2); //0-1023
  bbb=potValb * scale; 
  if (bbb>=250) { SoftPWMEnd(4); 
  } else { SoftPWMSet(4, bbb); } //BBB
 
 Serial.print(ggg);
  Serial.print("  ");
   Serial.print(rrr);
    Serial.print("  ");
     Serial.println(bbb);
 delay(300);
} //end potTest()

/////////////////////////////////////
/// change 0-255 for your led type
/// and colors 

void colorTest(void) {
 Serial.println("1  BROWN");
/////255       200       250 default
 bbb=255;  rrr=200;  ggg=250;
 show();
 
 Serial.println("2  RED");
/////255       0       255 default 
 bbb=255;  rrr=0;  ggg=255;
 show();
 
 Serial.println("3  ORANGE");
/////255       0       210 default  
 bbb=255;  rrr=0;  ggg=210;
 show();
 
 Serial.println("4  YELLOW");
/////255       0       110 default  
 bbb=255;  rrr=0;  ggg=110;
 show();
 
 Serial.println("5  GREEN");
/////255       255       0 default
 bbb=255;  rrr=255;  ggg=0;
 show();
 
 Serial.println("6  BLUE");
/////0       255       255 default
 bbb=0;  rrr=255;  ggg=255;
 show();
 
 Serial.println("7  VIOLET");
/////200       0       255 default
 bbb=200;  rrr=0;  ggg=255;
 show();
 
 Serial.println("8  GRAY");
/////200       170       200 default
 bbb=200;  rrr=170;  ggg=200;
 show();
 
 Serial.println("9  WHITE");
/////50       0       0 default
 bbb=50;  rrr=0;  ggg=0;
 show();
}

void show(void) {
 if (bbb>=253) { SoftPWMEnd(4); 
  } else { SoftPWMSet(4, bbb); }
 if (rrr>=253) { SoftPWMEnd(3); 
  } else { SoftPWMSet(3, rrr); }
 if (ggg>=253) { SoftPWMEnd(2); 
  } else { SoftPWMSet(2, ggg); }
 delay(ttime);
}


